> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check a stored version



## OpenAPI

````yaml get /api/registry/ontologies/{artifact_id}/versions/{version_id}/check
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/registry/ontologies/{artifact_id}/versions/{version_id}/check:
    get:
      tags:
        - Ontologies
      summary: Check a stored version
      operationId: >-
        check_version_api_registry_ontologies__artifact_id__versions__version_id__check_get
      parameters:
        - name: artifact_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The ontology's artifact ID.
            title: Artifact Id
          description: The ontology's artifact ID.
        - name: version_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The version's ID.
            title: Version Id
          description: The version's ID.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OntologyCheckResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    OntologyCheckResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        findings:
          items:
            $ref: '#/components/schemas/OntologyFinding'
          type: array
          title: Findings
        counts:
          additionalProperties:
            type: integer
          type: object
          title: Counts
      type: object
      required:
        - ok
        - findings
        - counts
      title: OntologyCheckResponse
      description: What ``validate`` found. Errors refuse submit; warnings don't.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    OntologyFinding:
      properties:
        level:
          type: string
          enum:
            - error
            - warning
            - info
          title: Level
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        concept:
          anyOf:
            - type: string
            - type: 'null'
          title: Concept
      type: object
      required:
        - level
        - code
        - message
      title: OntologyFinding
      description: Something a reviewer should know about a version.
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.